Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class BpelObject

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject

All Implemented Interfaces:
  SourceLocation

Direct Known Subclasses:
  BpelObject4WSDL, CommunicationHelper, CompensationHandler, Copy, Correlation, Correlations, CorrelationSet, CorrelationSets, Expression, FailureHandling, FaultHandler, IfActivity.Case, Import, JoinFailureSuppressor, Link, Links, LinkSource, LinkTarget, LiteralVal, OnAlarm, OnMessage, PartnerLink, PartnerLinks, RdfLabel, Sources, SwitchActivity.Case, Targets, TerminationHandler, ToFrom, Variable, Variables

    public class BpelObject

extends java.lang.Object
implements SourceLocation

Common interface to all BPEL object model (BOM) objects. Provides for location information (i.e. line numbers) and namespace context (XML namespace prefix maps).

Field Summary
`static javax.xml.namespace.QName` | `ATTR_LINENO`

Constructor Summary
`BpelObject(org.w3c.dom.Element el)`

Method Summary
`protected BpelObject` | `createBpelObject(org.w3c.dom.Element element)`
`protected java.lang.String` | `getAttribute(javax.xml.namespace.QName name, java.lang.String dflt)`
`protected java.lang.String` | `getAttribute(java.lang.String name)`
`protected
`<T> T`
` | `getAttribute(java.lang.String attrName, java.util.Map<java.lang.String,T> suppressJoinFailure, T notset)`
`protected java.lang.String` | `getAttribute(java.lang.String name, java.lang.String dflt)`
`protected java.util.List<BpelObject>` | `getChildren()`
`protected
`<T extends BpelObject> java.util.List<T>`
` | `getChildren(java.lang.Class<T> cls)`
`protected java.util.List<BpelObject>` | `getChildren(javax.xml.namespace.QName type)`
`int` | `getColumnNo()` Column number.
`org.w3c.dom.Element` | `getElement()`
`org.w3c.dom.Element` | `getExtensibilityElement(javax.xml.namespace.QName extElName)`
`java.util.Map<javax.xml.namespace.QName,java.lang.Object>` | `getExtensibilityElements()` Return the declared extensibility elements.
`protected
`<T extends BpelObject> T`
` | `getFirstChild(java.lang.Class<T> cls)`
`protected BpelObject` | `getFirstChild(javax.xml.namespace.QName type)`
`org.w3c.dom.Element` | `getFirstExtensibilityElementElement()`
`int` | `getLineNo()` Get the line number in the BPEL source document where this object is defined.
`NSContext` | `getNamespaceContext()` Get the namespace context for this BPEL object (i.e.
`java.lang.String` | `getPath()` Location path (not a file path, but a path in an expression).
`java.lang.String` | `getTextValue()`
`javax.xml.namespace.QName` | `getType()`
`java.net.URI` | `getURI()` URI of the source file.
`boolean` | `is11()` Is this a BPEL 1.1 object?
`boolean` | `is20Draft()`
`protected boolean` | `isAttributeSet(java.lang.String attrname)`
`protected javax.xml.namespace.QName` | `rewriteTargetNS(javax.xml.namespace.QName target)`
`void` | `setURI(java.net.URI uri)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_LINENO

    public static final javax.xml.namespace.QName ATTR_LINENO

Constructor Detail

### BpelObject

    public BpelObject(org.w3c.dom.Element el)

Method Detail

### getType

    public javax.xml.namespace.QName getType()

### getElement

    public org.w3c.dom.Element getElement()

### getLineNo

    public int getLineNo()

  Get the line number in the BPEL source document where this object is defined.

  Specified by:
    `getLineNo` in interface `SourceLocation`
  Returns:
    line number

### getNamespaceContext

    public NSContext getNamespaceContext()

  Get the namespace context for this BPEL object (i.e. prefix-to-namespace mapping).

  Returns:
    namespace context

### getExtensibilityElements

    public java.util.Map<javax.xml.namespace.QName,java.lang.Object> getExtensibilityElements()

  Return the declared extensibility elements. The extensibility elements declared as subelements of this BpelObject will be returned with a value type of org.w3c.dom.Element. The ones declared as extensibility attributes will be returned as a value type of String.

  Returns:
    extensibility qualified names and the full elements value (String or Element)

### getExtensibilityElement

    public org.w3c.dom.Element getExtensibilityElement(javax.xml.namespace.QName extElName)

### getFirstExtensibilityElementElement

    public org.w3c.dom.Element getFirstExtensibilityElementElement()

### is11

    public boolean is11()

  Is this a BPEL 1.1 object?

  Returns:

### is20Draft

    public boolean is20Draft()

### isAttributeSet

    protected boolean isAttributeSet(java.lang.String attrname)

### getChildren

    protected <T extends BpelObject> java.util.List<T> getChildren(java.lang.Class<T> cls)

### getFirstChild

    protected <T extends BpelObject> T getFirstChild(java.lang.Class<T> cls)

### getChildren

    protected java.util.List<BpelObject> getChildren(javax.xml.namespace.QName type)

### getFirstChild

    protected BpelObject getFirstChild(javax.xml.namespace.QName type)

### rewriteTargetNS

    protected javax.xml.namespace.QName rewriteTargetNS(javax.xml.namespace.QName target)

### getChildren

    protected java.util.List<BpelObject> getChildren()

### createBpelObject

    protected BpelObject createBpelObject(org.w3c.dom.Element element)

### getAttribute

    protected java.lang.String getAttribute(javax.xml.namespace.QName name,
                                            java.lang.String dflt)

### getAttribute

    protected java.lang.String getAttribute(java.lang.String name,
                                            java.lang.String dflt)

### getAttribute

    protected java.lang.String getAttribute(java.lang.String name)

### getAttribute

    protected <T> T getAttribute(java.lang.String attrName,
                                 java.util.Map<java.lang.String,T> suppressJoinFailure,
                                 T notset)

### getTextValue

    public java.lang.String getTextValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getColumnNo

    public int getColumnNo()

  Description copied from interface: `SourceLocation`
  Column number.

  Specified by:
    `getColumnNo` in interface `SourceLocation`
  Returns:

### getPath

    public java.lang.String getPath()

  Description copied from interface: `SourceLocation`
  Location path (not a file path, but a path in an expression).

  Specified by:
    `getPath` in interface `SourceLocation`
  Returns:

### getURI

    public java.net.URI getURI()

  Description copied from interface: `SourceLocation`
  URI of the source file.

  Specified by:
    `getURI` in interface `SourceLocation`
  Returns:

### setURI

    public void setURI(java.net.URI uri)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD